# class Byebug::UpCommand

Move the current frame up in the backtrace.

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/frame.rb, line 132
    def description
      prettify <<-EOD
        up[ count] Move to higher frame.
      EOD
    end

names() click to toggle source

    # File lib/byebug/commands/frame.rb, line 128
    def names
      %w(up)
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/frame.rb, line 120
    def execute
      pos, err = parse_steps(@match[1], 'Up')
      return errmsg(err) unless pos

      adjust_frame(pos, false)
    end

regexp() click to toggle source

    # File lib/byebug/commands/frame.rb, line 116
    def regexp
      /^\s* u(?:p)? (?:\s+(\S+))? \s*$/x
    end